No ratings

"Authentication Required for Session" error appears on P&D Tool

 

"Authentication Required for Session" error appears on P&D Tool

This article was created in response to a support issue logged with K2. The content may include typographical errors and may be revised at any time without notice. This article is not considered official documentation for K2 software and is provided "as is" with no warranties.

Issue

You are unable to create, deploy, or edit a package due to a P&D Tool error:

"Authentication required for session [...]"

Image

Symptoms

Clicking on any of the actions available on the P&D tool results in the error:

Image

Troubleshooting Steps

You can check the options below to help resolve the error:

  • Restart the K2 service
  • Assign Full Control rights to the Authenticated Users group in this folder: C:\ProgramData\SourceCode\
  • Use Integrated Security to connect to the K2 server from P&D:
    • Select the server
    • Click on Edit
    • Tick Integrated Security:

Image

Labels: (3)
Version history
Last update:
‎03-16-2022 02:21 AM
Updated by:
Contributors